org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableHandleDataProvider

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableHandleDataProvider

All Implemented Interfaces:
  org.eclipse.nebula.widgets.nattable.data.IDataProvider

    public class DataTableHandleDataProvider
    extends java.lang.Object
    implements org.eclipse.nebula.widgets.nattable.data.IDataProvider

A data provider based on a data handle.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`DataTableHandleDataProvider(DataTableContext context)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumnCount()`
`java.lang.Object` `getDataValue(int arg0, int arg1)`
`int` `getRowCount()`
`void` `setDataValue(int arg0, int arg1, java.lang.Object arg2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataTableHandleDataProvider

    public DataTableHandleDataProvider(DataTableContext context)

Creates a new instance.

Parameters:
  `context` -

### Method Detail

#### getColumnCount

    public int getColumnCount()

Specified by:
  `getColumnCount` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

#### getDataValue

    public java.lang.Object getDataValue(int arg0,
                                         int arg1)

Specified by:
  `getDataValue` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

#### getRowCount

    public int getRowCount()

Specified by:
  `getRowCount` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`

#### setDataValue

    public void setDataValue(int arg0,
                             int arg1,
                             java.lang.Object arg2)

Specified by:
  `setDataValue` in interface `org.eclipse.nebula.widgets.nattable.data.IDataProvider`